mode(-1);
// 
// -------------------------------------------------------------------------
// SIP - Scilab Image Processing toolbox
// Copyright (C) 2002  Ricardo Fabbri
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// -------------------------------------------------------------------------
//

// specific part
libname='siplib'
libtitle='SIP - Scilab Image Processing Toolbox 0.3.1';

// get the absolute path 
SIPDIR=get_absolute_file_path('loader.sce') + '/'; 
SIPDEMO=SIPDIR+'macros/sipdemo_gui.dem';

// load the library macros
execstr(libname+'=lib(""'+SIPDIR+'macros/'+'"")')

// add the help chapter
%helps = [%helps; SIPDIR+'man', libtitle]

// ADD C routines
exec (SIPDIR+'loader_include.sce');

mess=[libtitle+' loaded';
    'Enter ""exec(SIPDEMO);"" for a demonstration.']

write(%io(2),'--------------------------------------------');
write(%io(2),mess);

clear libtitle mess
